#include <iostream>
#include <string>
using namespace std;
int main()
{
    int xd, yd;
    string x, y;
    string rez = "";
    getline(cin, x);
    getline(cin, y);
    xd = x.length();
    yd = y.length();
    if (xd > yd)
    {
        rez += x.substr(0, xd - yd);
        x.erase(0, xd - yd);
    }
    else if (xd < yd)
    {
        rez += y.substr(0, yd - xd);
        y.erase(0, yd - xd);
    }
    for (int i = 0;i < x.length();i++)
    {
        if (x[i] > y[i])
        {
            rez += x[i];
        }
        else if (x[i] < y[i])
        {
            rez += y[i];
        }
        else
        {
            rez = rez + y[i] + y[i];
        }
    }
    cout << rez << endl;

    return 0;
}